@import "../../../global.scss";

.social {
  @include mmobile() {
    display: none;
  }
}

.notif {
  margin-left: 157px;
  padding: 10px;

  @include mmobile() {
    margin-left: 0;
    padding: 10px;
  }
}

.tableHover {
  cursor: pointer;

  &:hover {
    background-color: $Lime !important;

    .tableTextHoverColor {
      color: white !important;
    }
  }
}

.notifications {
  margin-top: 160px;

  @include mmobile {
    margin-top: 1em;
  }

  font-size: 40px;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.56;
  letter-spacing: -0.8px;
  text-align: left;
  color: #000000;
}

.notifications_text {
  font-size: 24px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.57;
  letter-spacing: normal;
  text-align: left;
  color: #373737;
}

#tableNoti {
  margin-top: 100px;

  .table {
    thead th {
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.12;
      letter-spacing: normal;
      text-align: left;
      color: #373737;
      border: none;

      @include smobile() {
        font-size: 16px;
      }
    }

    tbody tr:nth-child(2n) {
      background-color: rgba($color: $DarkBlue, $alpha: 0.15);
    }

    th {
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.12;
      letter-spacing: normal;
      text-align: left;
      color: #373737;
    }

    td {
      font-size: 20px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.3;
      letter-spacing: normal;
      text-align: left;
      color: #000000;
    }
  }

  @media only screen and (max-width: 760px),
  (min-device-width: 768px) and (max-device-width: 1024px) {

    table,
    thead,
    tbody,
    th,
    td,
    tr {
      display: block;
    }

    thead tr {
      position: absolute;
      top: -9999px;
      left: -9999px;
    }

    td {
      /* Behave  like a "row" */
      border: none;
      border-bottom: 1px solid #eee;
      position: relative;
      padding-left: 50%;
    }

    td:before {
      /* Now like a table header */
      position: absolute;
      /* Top/left values mimic padding */
      top: 6px;
      left: 6px;
      width: 45%;
      padding-right: 10px;
      white-space: nowrap;
    }

    /*
	Label the data
	*/
    td:nth-of-type(1):before {
      content: "Date";
    }

    td:nth-of-type(2):before {
      content: "Product";
    }

    td:nth-of-type(3):before {
      content: "Notification";
    }

    td:nth-of-type(3) {
      word-break: break-word;
      overflow-wrap: break-word;
    }

    td:nth-of-type(4) {
      padding-left: 0%;
      display: flex;
      justify-content: center;
    }
  }
}

.button {
  width: 164px;
  cursor: pointer;
  height: 49px;
  padding: 11px 25px 11px 26px;
  border-radius: 23px;
  color: $White;
  background-color: #094658;
  border: none;

  &:focus {
    outline: none;
  }
}

.disabledButton {
  width: 164px;
  cursor: pointer;
  height: 49px;
  padding: 11px 25px 11px 26px;
  border-radius: 23px;
  color: #afafaf;
  background-color: #e2e2e2;
  border: none;

  // z-index: 1;
  &:focus {
    outline: none;
  }
}

.tableTextHoverColor {
  word-break: break-word;
}